/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock;

import javax.management.ObjectName;

import org.ow2.petals.jmx.api.api.InstallerComponentClient;
import org.ow2.petals.jmx.api.api.configuration.component.InstallationConfigurationComponentClient;
import org.ow2.petals.jmx.api.api.configuration.component.exception.ConfigurationComponentDoesNotExistException;
import org.ow2.petals.jmx.api.api.configuration.component.exception.InstallationConfigurationComponentErrorException;
import org.ow2.petals.jmx.api.api.exception.InstallerComponentErrorException;

public class InstallerComponentClientMock implements InstallerComponentClient {

    @Override
    public void install() throws InstallerComponentErrorException {
        // NOP
    }

    @Override
    public void uninstall() throws InstallerComponentErrorException {
        // NOP
    }

    @Override
    public boolean isInstalled() throws InstallerComponentErrorException {
        return false;
    }

    @Override
    public String getInstallRoot() throws InstallerComponentErrorException {
        return null;
    }

    @Override
    public ObjectName getMBeanName() {
        return null;
    }

    @Override
    public InstallationConfigurationComponentClient getInstallationConfigurationClient()
            throws ConfigurationComponentDoesNotExistException, InstallationConfigurationComponentErrorException,
            InstallerComponentErrorException {
        return null;
    }

    @Override
    public <T> T getInstallationConfigurationClient(Class<T> clazz) throws ConfigurationComponentDoesNotExistException,
            InstallerComponentErrorException {
        return null;
    }

}
